PLE-CONFIG(1)

NAME
ple-config - Script to get information about the installed version of the PLE library.

SYNOPSIS
PLE-config [options] [scope]

DESCRIPTION
This script is a tool that is used to determine the compiler and linker flags that should be used to compile and link programs that use libple.

OPTIONS

Options

--prefix
    Installation path prefix

--exec-prefix
    System-dependent path prefix

--include-dir
    C header files path

--version
    Library version

--cppflags
    C preprocessor flags (e.g. -D<macro>, ...)

--cflags
    C flags (e.g. -O, -g, ...)

--ldflags
    Linker flags (e.g. -g, -L<path>, ...)

--libs
    librairies used (e.g. -l<libname>)

--cc
    C compiler used for build

Scope

use (default)
    Options required for user code

build
    Options used for build

mpi MPI library related options